Package org.apache.commons.math3.util

# Class Decimal64Field

java.lang.Object
org.apache.commons.math3.util.Decimal64Field

All Implemented Interfaces:
  `Field<Decimal64>`

public class Decimal64Field extends Object implements Field<Decimal64>
The field of double precision floating-point numbers.

Since:
  3.1
See Also:
  - `Decimal64`

## Method Summary

Modifier and Type
Method
Description
`static final Decimal64Field`
`getInstance()`
Returns the unique instance of this class.
`Decimal64`
`getOne()`
Get the multiplicative identity of the field.
`Class<? extends FieldElement<Decimal64>>`
`getRuntimeClass()`
Returns the runtime class of the FieldElement.
`Decimal64`
`getZero()`
Get the additive identity of the field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static final Decimal64Field getInstance()
Returns the unique instance of this class.

Returns:
  the unique instance of this class

### getZero

public Decimal64 getZero()
Get the additive identity of the field.

The additive identity is the element e0 of the field such that for all elements a of the field, the equalities a + e0 = e0 + a = a hold.

Specified by:
  `getZero` in interface `Field<Decimal64>`
Returns:
  additive identity of the field

### getOne

public Decimal64 getOne()
Get the multiplicative identity of the field.

The multiplicative identity is the element e1 of the field such that for all elements a of the field, the equalities a × e1 = e1 × a = a hold.

Specified by:
  `getOne` in interface `Field<Decimal64>`
Returns:
  multiplicative identity of the field

### getRuntimeClass

public Class<? extends FieldElement<Decimal64>> getRuntimeClass()
Returns the runtime class of the FieldElement.

Specified by:
  `getRuntimeClass` in interface `Field<Decimal64>`
Returns:
  The `Class` object that represents the runtime class of this object.